# Uses of Interface
org.opensaml.saml.saml2.core.AssertionIDRequest

Packages that use AssertionIDRequest
Package
Description
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AssertionIDRequest in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AssertionIDRequest
Modifier and Type
Class
Description
`class`
`AssertionIDRequestImpl`
A concrete implementation of `AssertionIDRequest`.
Methods in org.opensaml.saml.saml2.core.impl that return AssertionIDRequest
Modifier and Type
Method
Description
`AssertionIDRequest`
AssertionIDRequestBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AssertionIDRequest`
AssertionIDRequestBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.